Package org.apache.bcel.classfile

# Class InvalidMethodSignatureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.bcel.classfile.ClassFormatException
org.apache.bcel.classfile.InvalidMethodSignatureException

All Implemented Interfaces:
  `Serializable`

public class InvalidMethodSignatureException extends ClassFormatException
Thrown when the BCEL attempts to read a class file and determines that a class is malformed or otherwise cannot be interpreted as a class file.

Since:
  6.8.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidMethodSignatureException(String signature)`
  Constructs a new instance with the specified invalid signature as the message.
  `InvalidMethodSignatureException(String signature, Throwable cause)`
  Constructs a new instance with the specified invalid signature as the message and a cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidMethodSignatureException

    public InvalidMethodSignatureException(String signature)
    Constructs a new instance with the specified invalid signature as the message.
    Parameters:
      `signature` - The invalid signature is saved for later retrieval by the `Throwable.getMessage()` method.

  - ### InvalidMethodSignatureException

    public InvalidMethodSignatureException(String signature, Throwable cause)
    Constructs a new instance with the specified invalid signature as the message and a cause.
    Parameters:
      `signature` - The invalid signature is saved for later retrieval by the `Throwable.getMessage()` method.
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). A `null` value is permitted, and indicates that the cause is nonexistent or unknown.